Security update for libvirt

SUSE Security Update: Security update for libvirt
Announcement ID: SUSE-SU-2019:1423-1
Rating: important
References: #1111331 #1135273
Cross-References: CVE-2018-12126 CVE-2018-12127 CVE-2018-12130 CVE-2019-11091
Affected Products:
  • SUSE Linux Enterprise Server 12-LTSS

An update that fixes four vulnerabilities is now available.

Description:

This update for libvirt fixes the following issues:
Four new speculative execution information leak issues have been identified in Intel CPUs. (bsc#1111331)

  • CVE-2018-12126: Microarchitectural Store Buffer Data Sampling (MSBDS)
  • CVE-2018-12127: Microarchitectural Fill Buffer Data Sampling (MFBDS)
  • CVE-2018-12130: Microarchitectural Load Port Data Sampling (MLPDS)
  • CVE-2019-11091: Microarchitectural Data Sampling Uncacheable Memory (MDSUM)

These updates contain the libvirt adjustments, that pass through the new 'md-clear' CPU flag (bsc#1135273).
For more information on this set of vulnerabilities, check out https://www.suse.com/support/kb/doc/?id=7023736

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-2019-1423=1

Package List:

  • SUSE Linux Enterprise Server 12-LTSS (ppc64le s390x x86_64):
    • libvirt-1.2.5-27.16.1
    • libvirt-client-1.2.5-27.16.1
    • libvirt-client-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-1.2.5-27.16.1
    • libvirt-daemon-config-network-1.2.5-27.16.1
    • libvirt-daemon-config-nwfilter-1.2.5-27.16.1
    • libvirt-daemon-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-driver-interface-1.2.5-27.16.1
    • libvirt-daemon-driver-interface-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-driver-lxc-1.2.5-27.16.1
    • libvirt-daemon-driver-lxc-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-driver-network-1.2.5-27.16.1
    • libvirt-daemon-driver-network-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-driver-nodedev-1.2.5-27.16.1
    • libvirt-daemon-driver-nodedev-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-driver-nwfilter-1.2.5-27.16.1
    • libvirt-daemon-driver-nwfilter-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-driver-qemu-1.2.5-27.16.1
    • libvirt-daemon-driver-qemu-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-driver-secret-1.2.5-27.16.1
    • libvirt-daemon-driver-secret-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-driver-storage-1.2.5-27.16.1
    • libvirt-daemon-driver-storage-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-lxc-1.2.5-27.16.1
    • libvirt-daemon-qemu-1.2.5-27.16.1
    • libvirt-debugsource-1.2.5-27.16.1
    • libvirt-doc-1.2.5-27.16.1
    • libvirt-lock-sanlock-1.2.5-27.16.1
    • libvirt-lock-sanlock-debuginfo-1.2.5-27.16.1
  • SUSE Linux Enterprise Server 12-LTSS (x86_64):
    • libvirt-daemon-driver-libxl-1.2.5-27.16.1
    • libvirt-daemon-driver-libxl-debuginfo-1.2.5-27.16.1
    • libvirt-daemon-xen-1.2.5-27.16.1

References: